Package weka.datagenerators

# Class ClusterDefinition

java.lang.Object
weka.datagenerators.ClusterDefinition

All Implemented Interfaces:
  `Serializable`, `OptionHandler`, `RevisionHandler`

Direct Known Subclasses:
  `SubspaceClusterDefinition`

public abstract class ClusterDefinition extends Object implements Serializable, OptionHandler, RevisionHandler
Ancestor to all ClusterDefinitions, i.e., subclasses that handle their own parameters that the cluster generator only passes on.

Version:
  $Revision: 15707 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusterDefinition()`
  initializes the cluster, without a parent cluster (necessary for GOE)
  `ClusterDefinition(ClusterGenerator parent)`
  initializes the cluster by setting the parent and the defaults

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClusterGenerator`
  `getParent()`
  returns the parent datagenerator this cluster belongs to
  `String`
  `globalInfo()`
  Returns a string describing this data generator.
  `String`
  `parentTipText()`
  Returns the tip text for this property
  `void`
  `setParent(ClusterGenerator parent)`
  sets the parent datagenerator this cluster belongs to
  `String`
  `toString()`
  returns a string representation of the cluster

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface weka.core.OptionHandler

  `getOptions, listOptions, setOptions`

  ### Methods inherited from interface weka.core.RevisionHandler

  `getRevision`

- ## Constructor Details

  - ### ClusterDefinition

    public ClusterDefinition()
    initializes the cluster, without a parent cluster (necessary for GOE)

  - ### ClusterDefinition

    public ClusterDefinition(ClusterGenerator parent)
    initializes the cluster by setting the parent and the defaults
    Parameters:
      `parent` - the datagenerator this cluster belongs to

- ## Method Details

  - ### globalInfo

    public String globalInfo()
    Returns a string describing this data generator.
    Returns:
      a description of the data generator suitable for displaying in the explorer/experimenter gui

  - ### getParent

    public ClusterGenerator getParent()
    returns the parent datagenerator this cluster belongs to
    Returns:
      the parent this cluster belongs to

  - ### setParent

    public void setParent(ClusterGenerator parent)
    sets the parent datagenerator this cluster belongs to
    Parameters:
      `parent` - the parent datagenerator

  - ### parentTipText

    public String parentTipText()
    Returns the tip text for this property
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui

  - ### toString

    public String toString()
    returns a string representation of the cluster
    Overrides:
      `toString` in class `Object`
    Returns:
      the cluster definition as string